import { createApp } from 'vue';
import App from './App.tsx';
import router from './router/index';
import dayjs from 'dayjs';
import { setupNaive } from './plugins';
import { setupStore } from './store';
import 'dayjs/locale/zh-cn';
import './styles/index.less';

async function setupApp() {
  // app loading
  // const appLoading = createApp(AppLoading);

  // appLoading.mount('#appLoading');

  const app = createApp(App);

  setupNaive(app);

  // store plugin: pinia
  setupStore(app);

  dayjs.locale('zh-ch');

  app.use(router);

  // mount app
  app.mount('#app');
}

setupApp();
