import { defineStore } from 'pinia';
import { ACCESS_TOKEN, CURRENT_USER, IM_TOKEN } from '@/store/mutation-types';
import { storage } from '@/utils/storage';

export interface IUserState {
  token: string;
  imToken: string;
  username: string;
  avatar: string;
  info: any;
}

export const useUserStore = defineStore('user-store', {
  state: (): IUserState => ({
    token: storage.get(ACCESS_TOKEN, ''),
    imToken: storage.get(IM_TOKEN, ''),
    username: '',
    avatar: '',
    info: storage.get(CURRENT_USER, {})
  }),
  getters: {
    getToken(): string {
      return this.token;
    },
    getImToken(): string {
      return this.imToken;
    },
    getAvatar(): string {
      return this.avatar;
    },
    getNickname(): string {
      return this.username;
    },
    getUserInfo(): object {
      return this.info;
    }
  },
  actions: {
    setToken(token: string) {
      this.token = token;
    },
    setImToken(token: string) {
      this.imToken = token;
    },
    setAvatar(avatar: string) {
      this.avatar = avatar;
    },
    setUserInfo(info: any) {
      this.info = info;
    },
    // 登录
    async login() {
      try {
        // const response = (await login(userInfo)) as any;
        // const { data, code } = response;
        // if (code === ResultEnum.SUCCESS) {
        const ex = 7 * 24 * 60 * 60 * 1000;
        storage.set(ACCESS_TOKEN, 'bearer test1121121212121212', ex);
        storage.set(
          CURRENT_USER,
          {
            name: '王天奇',
            avatar: ''
          },
          ex
        );
        //   this.setToken(data.token_type + ' ' + data.access_token);
        //   this.setImToken(data.imToken);
        //   this.setUserInfo(data);
        // }
        this.setToken('bearer test1121121212121212');
        this.setUserInfo({
          name: '王天奇',
          avatar: ''
        });
        return Promise.resolve();
      } catch (e) {
        return Promise.reject(e);
      }
    },

    // 获取用户信息
    getInfo() {
      // const that = this;
      return new Promise((resolve, reject) => {
        // getUserInfo()
        //   .then(res => {
        //     const result = res.data;
        //     this..setUserInfo(result);
        //     that.setAvatar(result.account.avatar);
        //     resolve(res);
        //   })
        //   .catch(error => {
        //     reject(error);
        //   });
        try {
          resolve(true);
        } catch {
          reject();
        }
      });
    },

    // 登出
    async logout() {
      this.setUserInfo('');
      storage.remove(ACCESS_TOKEN);
      return Promise.resolve('');
    }
  }
});

// Need to be used outside the setup
// export function useUserStoreWidthOut() {
//   return useUserStore(store);
// }
